Обновить sqlite на CentOS

tommy-gung
На сайте с 22.11.2006
Offline
277
1529

Доброй ночи.

имеется vds на centos 6, установлен sqlite 3.6.20 и php 5.5.28

нужно обновить sqlite до 3.7+, версия php значения не имеет.

Если важно, на vds стоит vestacp.

гугление пока не помогает..

Здесь не могла быть ваша реклама
pupseg
На сайте с 14.05.2010
Offline
347
#1

Package sqlite-3.6.20-1.el6_7.2.x86_64 already installed and latest version

собирать из исходников со всеми последствиями. ну или собирать свой rpm с такими же последствиями.

хотя вот тут предлагают https://pkgs.org/centos-6/atomic-i386/sqlite-3.7.9-1.el6.art.i686.rpm.html

Качественная помощь в обслуживании серверов. (/ru/forum/661100) Бесплатных консультаций не даю, не помогаю, не обучаю. Минималка от 100$. Как пропатчить KDE-просьба не спрашивать. Есть форумы (http://linux.org.ru) и полезные сайты (http://www.opennet.ru/).
tommy-gung
На сайте с 22.11.2006
Offline
277
#2

странно, но..

error: can't create transaction lock on /var/lib/rpm/.rpm.lock (Permission denied)

под рутом

pupseg
На сайте с 14.05.2010
Offline
347
#3

tommy-gung, selinux?

tommy-gung
На сайте с 22.11.2006
Offline
277
#4
pupseg:
selinux

не знаю, я тупица в этих делах :)

оказалось, в моем случае проще переустановить на centos7 и поставить ту же весту

вдс-то пустой еще

L
На сайте с 10.02.2015
Offline
171
#5

Я бы не световал для личного пользования ставить панели.

О SELinux:

в /etc/selinux/config нужно прописать SELINUX=disabled и перезагрузиться

А обновить sqlite так не заканало:

#yum update sqlite

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий